%global pname abGate
Name:           lv2-abGate
Version:        1.1.3
Release:        6%{?dist}
Summary:        An LV2 Noice Gate

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://abGate.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/abgate/abGate-source/abGate-1.1.3.tar.gz
BuildRequires:  lv2-devel
BuildRequires:  gtkmm24-devel
Requires:       lv2

%description
A Noise Gate plugin 

%prep
%setup -q -n %{pname}-%{version}
sed -i -e 's|-O3|%{optflags}|' Makefile
%if %{_lib} == "lib64"
   sed -i -e 's|\/lib|\/lib64|' Makefile plugin_configuration.h
%endif


# Fix encoding issues
for file in README license.txt; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
make  

%install
make install DESTDIR=%{buildroot}  

%files
%doc license.txt README
%{_libdir}/lv2/%{pname}.lv2
%{_libdir}/lv2/%{pname}.lv2/*


%changelog
* Fri May 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-6
- Correct merge typo in spec file

* Fri May 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-5
- Build against new lv2

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for c++ ABI breakage

* Fri Jan 20 2012 Dan Horák <dan[at]danny.cz> 1.1.3-3
- fix build on non-x86 64-bit arches

* Fri Jan 6 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-2
- Removed lv2config

* Mon Oct 31 2011 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-1
- Initial build

